DOVEADM-ALTMOVE(1)

NAME
doveadm-altmove - Move matching mails to the alternative storage (dbox-only)

SYNOPSIS
doveadm [-Dv] altmove [-r] [-S socket_path] search_query
doveadm [-Dv] altmove [-r] [-S socket_path] -A search_query
doveadm [-Dv] altmove [-r] [-S socket_path] -u user search_query

DESCRIPTION
This command can be used with sdbox or mdbox storage to move mails to alternative storage path when :ALT=<path> is specified for the mail location.

In the first form, doveadm(1) will executed the altmove action with the environment of the logged in system user.

In the second form, the command will be performed for all users.

In the third form, only matching mails of the given user(s) will be moved to the alternative storage.

OPTIONS
Global doveadm(1) options:

-D  Enables verbosity and debug messages.

-v  Enables verbosity, including progress counter.

Command specific options:

-A  If the -A option is present, the command will be performed for all users. Using this option in combination with system users from userdb { driver = passwd } is not recommended, because it contains also users with a lower UID than the one configured with the first_valid_uid setting.

    When the SQL userdb module is used make sure that the iterate_query setting in /usr/local/etc/dovecot/dovecot-sql.conf.ext matches your database layout. When using the LDAP userdb module, make sure that the iterate_attrs and iterate_filter settings in /usr/local/etc/dovecot/dovecot-ldap.conf.ext match your LDAP schema. Otherwise doveadm(1) will be unable to iterate over all users.

-r  When the -r option is given this command works the other way round. Mails will be moved from the alternative storage back to the default mail location.

-S socket_path
    The option's argument is either an absolute path to a local UNIX domain socket, or a hostname and port (hostname:port), in order to connect a remote host via a TCP socket.

    This allows an administrator to execute doveadm(1) mail commands through the given socket.

-u user/mask
    Run the command only for the given user. It's also possible to use '*' and '?' wildcards (e.g. -u *@example.org).
    When neither the -A option nor -u user was specified, the command will be executed with the environment of the currently logged in user.

ARGUMENTS

search_query
    Messages matching this search query will be moved to alt storage. See doveadm-search-query(7) for details.

FILES

/usr/local/etc/dovecot/conf.d/10-mail.conf
    Mailbox locations and namespaces.

/usr/local/etc/dovecot/conf.d/auth-*.conf.ext
    Authentication processes, including userdb settings.

EXAMPLE
This example moves seen mails older than one week to alternative storage under /nfsmount:
mail_location = mdbox:~/mdbox:ALT=/nfsmount/%h/mdbox

doveadm altmove -u johnd@example.com seen savedbefore 1w

REPORTING BUGS
Report bugs, including doveconf -n output, to the Dovecot Mailing List <dovecot@dovecot.org>. Information about reporting bugs is available at: http://dovecot.org/bugreport.html

SEE ALSO
doveadm(1), doveadm-search-query(7)